package main

import (
	"fmt"
	"grow.rievo.dev/discordBots/cmd/domaincheckbot/config"
	"grow.rievo.dev/discordBots/cmd/domaincheckbot/dns"
	"log"
)

func main() {
	log.Println("check domains in domains.json")

	for domain, tlds := range config.Domains {
		for _, tld := range tlds {
			d := dns.CheckDomain(fmt.Sprintf("%v.%v", domain, tld))
			if len(d.NS) > 0 && d.NS[0] == "ns.rievo.ch." {
				continue
			}
			log.Println(dns.CheckDomain(fmt.Sprintf("%v.%v", domain, tld)))
		}

	}
}
